package com.yunfeiyun.agmp.fms.domain.resvo;

import com.yunfeiyun.agmp.common.enums.DictTypeEnums;
import com.yunfeiyun.agmp.common.utils.DictUtils;
import lombok.Data;

/**
 * 变动对象 WmsChange
 * 
 * @author 杨晓辉
 * @date 2023-05-25
 */
@Data
public class WmsChangeResVo
{

    /** 农产品值 */
    private String finishgoodscode;

    /** 农产品类型 */
    private String finishgoodsType;

    /** 仓库名称 */
    private String warehouseName;

    /** 变动业务类型 */
    private String changeBiztype;

    /** 变动方式 */
    private String changeWay;

    /** 变动数量 */
    private String changeNum;

    /** 操作人 */
    private String changeAuditor;

    /** 操作人 */
    private String changeAuditorName;

    /** 日期 */
    private String changeAuditeddate;

    public String getFinishgoodsName(){
        return DictUtils.getDictLabel(DictTypeEnums.AGM_MPP_PRODUCT.getCode(), this.finishgoodscode);
    }

    public String getChangeBiztypeName(){
        return DictUtils.getDictLabel(DictTypeEnums.SPM_PRODUCT_INOUTBOUND_TYPE.getCode(), this.changeBiztype);
    }

    public String getChangeWayName(){
        return DictUtils.getDictLabel(DictTypeEnums.WMS_CHANGE_WAY.getCode(), this.changeWay);
    }

    public String getFinishgoodsTypeName(){
        return DictUtils.getDictLabel(DictTypeEnums.AGM_MPP_PRODUCT_TYPE.getCode(), this.finishgoodsType);
    }
}
